import { UnsafeCF } from "thesmo-calc-fields-base";
import { nodePathCheck } from "../ExternalData/Helpers";
import { invalidNodePathMessage, nonExistingNodeAccessMessage } from "../ExternalData/Constants";
declare type Bound = {
    nodePathSeparator: string;
    isObject: (target: any) => boolean;
    nodePathCheck: typeof nodePathCheck;
    invalidNodePathMessage: typeof invalidNodePathMessage;
    nonExistingNodeAccessMessage: typeof nonExistingNodeAccessMessage;
};
declare type Args = {
    nodePath: string;
};
declare const _default: ({ isObject, nodePathSeparator, nodePathCheck, invalidNodePathMessage, nonExistingNodeAccessMessage }: Bound) => ({ nodePath }: Args) => UnsafeCF<unknown>;
export default _default;
