import { updateWithPattern } from "../Exports";
import { UnsafeCF, SafeCF } from "thesmo-calc-fields-base";
import { nodePathCheck } from "../ExternalData/Helpers";
declare type Bound = {
    nodePathSeparator: string;
    updateWithPattern: typeof updateWithPattern;
    isObject: (target: any) => boolean;
    nodePathCheck: typeof nodePathCheck;
};
declare type Args<Source, Result> = {
    nodePath: string;
    calcField: SafeCF<Source, Result>;
};
declare const _default: ({ nodePathSeparator, updateWithPattern, isObject, nodePathCheck }: Bound) => <Source, Result>({ nodePath, calcField }: Args<Source, Result>) => UnsafeCF<object>;
export default _default;
