"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (function (_a) {
    var getGuarantor = _a.getGuarantor, isObject = _a.isObject;
    return function (_a) {
        var _b = _a.convertArrayToArrayLikeObject, convertArrayToArrayLikeObject = _b === void 0 ? false : _b, _c = _a.convertNullToEmptyObject, convertNullToEmptyObject = _c === void 0 ? false : _c, _d = _a.convertUndefinedToEmptyObject, convertUndefinedToEmptyObject = _d === void 0 ? false : _d;
        var objectGuarantor = getGuarantor({
            typeCheck: isObject,
            sourceTypeMapper: function (source) {
                if (convertArrayToArrayLikeObject && Array.isArray(source)) {
                    var sourceAsArray = source;
                    var result = sourceAsArray.reduce(function (accumulator, currentValue, index) {
                        accumulator[index] = currentValue;
                    }, {});
                    return result;
                }
                if (convertNullToEmptyObject && source === null) {
                    return {};
                }
                if (convertUndefinedToEmptyObject && source === undefined) {
                    return {};
                }
                return null;
            }
        });
        return objectGuarantor;
    };
});
