"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (function (_a) {
    var isObject = _a.isObject;
    return function (_a) {
        var partToBeMergedWith = _a.partToBeMergedWith;
        return function (source) {
            var sourceAsObject = source;
            if (!isObject(partToBeMergedWith)) {
                throw new Error("Part to be merged with is not an object");
            }
            var mergedResult = __assign(__assign({}, sourceAsObject), partToBeMergedWith);
            return mergedResult;
        };
    };
});
